PEEKFD(1)

IME
peekfd - luka (gleda) u deskriptore datoteka pokrenutih procesa

UPORABA
peekfd [-8,--eight-bit-clean] [-n,--no-headers] [-c,--follow] [-d,--duplicates-removed] [-V,--version] [-h,--help] pid [fd] [fd] ...

OPIS
peekfd se prikvači pokrenutom procesu i presreće svako čitanje i pisanje u deskriptore datoteka. Možete specificirati željene brojeve deskriptora datoteka ili napraviti "dump" od svih naredbi za čitanje i pisanje.

OPCIJE

-8  Ne obrađuje podatke o pročitanim ili zapisanim bajtovima nakon primitka.

-n  Ne pokazivati zaglavlja koja označavaju izvor primljenih (dumped) bajtova.

-c  Također spremi (dump) zatražene aktivnosti nad deskriptorima datoteke iz svih novih potomaka koji su stvoreni.

-d  Uklanja duplicirane zapise čitanja/pisanja na izlazu. To je korisno ako rabite tty s echo.

-v  Prikaže informacije o inačici.

-h  Prikaže tekst s pomoći.

FILES
/proc/*/fd
    Ne rabi se, ali je korisno da ga korisnik pogleda i dobije dobre brojeve za deskriptor datoteke.

OKOLINA
Nijedno.

DIJAGNOSTIKA
Slijedeće dijagnoze mogu biti ispisane na stderr:

Greška povezana na pid <PID>
    Dogodila se nepoznata greška pri pokušaju pripajanja na proces. Možda morate biti root.

BUGS
Vjerojatno puno. Nemojte se iznenaditi ako postupak koji nadgledate umre.

AUTOR
Trent Waddington (trent.waddington@gmail.com)

POGLEDAJTE TAKOĐER
ttysnoop(8)